import React, { Component } from "react";
import { StyleSheet, View } from "react-native";

import { PrzyciskTworzeniaTalii, WejdzDoTalii } from "./PolaTworzeniaTalii";

class TworzenieTalii extends Component {
  constructor(props) {
    super(props);
    this.state = { pokazacNazwePola: false };
  }

  nowaTalia = nazwa => {
    console.warn("Nie zaimplementowano");
    this.setState({ pokazacNazwePola: false });
  };

  pokazPola = () => {
    this.setState({ pokazacNazwePola: true });
  };

  render() {
    let zawartosc = this.state.pokazacNazwePola
      ? <WejdzDoTalii stworz={this.nowaTalia} />
      : <PrzyciskTworzeniaTalii naNacisniecie={this.pokazPola} />;
    return zawartosc;
  }
}

export default TworzenieTalii;
